Loading...
Searching...
No Matches
gtsam::so3::ExpmapFunctor Class Reference

## Detailed Description

Functor implementing Exponential map.

Inheritance diagram for gtsam::so3::ExpmapFunctor:

## Public Member Functions

| ExpmapFunctor (const Vector3 &omega, bool nearZeroApprox=false)
| Constructor with element of Lie algebra so(3).
| ExpmapFunctor (const Vector3 &axis, double angle, bool nearZeroApprox=false)
| Constructor with axis-angle.
SO3 | expmap () const
| Rodrigues formula.

## Protected Member Functions

void | init (bool nearZeroApprox=false)

## Protected Attributes

const double | theta2
Matrix3 | W
Matrix3 | K
Matrix3 | KK
bool | nearZero
double | theta
double | sin_theta
double | one_minus_cos

The documentation for this class was generated from the following files:

- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/geometry/SO3.h
- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/geometry/SO3.cpp